﻿@font-face {
    font-family: 'Glyphicons Halflings';
    src: url('../admin/bootstrap/fonts/glyphicons-halflings-regular.eot');
    src: url('../admin/bootstrap/fonts/glyphicons-halflings-regular.eot?#iefix') format('embedded-opentype'), url('../admin/bootstrap/fonts/glyphicons-halflings-regular.woff') format('woff'), url('../admin/bootstrap/fonts/glyphicons-halflings-regular.ttf') format('truetype'), url('../admin/bootstrap/fonts/glyphicons-halflings-regular.svg#glyphicons_halflingsregular') format('svg');
}
/*******************************************
    Overwriting
********************************************/
h3 {
    color: #6BA540;
    font-size: 16px;
}

.wk-row {
    max-width: 100% !important;
}

.wk-field-item {
    margin-bottom: 0px;
}

.wk-footer {
    margin-top: 0px;
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: #474747;
}

.wk-button-bar {
    max-width: 100%;
}

.wk-modal {
    z-index: 2147483630 !important;
}

label {
    display: block;
}

.wk-input, input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=file]) {
    height: 2rem;
}

.wk-input-login {
    height: 3rem !important;
}

input[type="text"]:disabled {
    color: #474747 !important;
}

.wk-select-field > select {
    height: 2rem;
    padding: 0 1rem;
}

.wk-select-field:after {
    top: .4em;
}

.wk-checkbox-field {
    font-weight: 400 !important;
}

.qq-upload-list li {
    font-size: inherit !important;
}

.jqx-grid-cell-middle-align {
    margin: 0 auto !important;
    margin-top: 6px !important;
}

.jqx-input {
    font-size: 13px !important;
    padding: 0 0 0 1px !important;
}

.jqx-window {
    position: fixed !important;
}

.jqx-window-header {
    background: #009CCC !important;
    color: #fff !important;
}

.query-builder .rules-group-container {
    margin: 0 !important;
    border-radius: 0 !important;
}

.query-builder .rules-group-container {
    background: #f6f6f6 !important;
    border: 1px solid #e5e5e5 !important;
}

.dialog {
    visibility: hidden;
    position: fixed;
    left: 50%;
    top: 50%;
}

.dialog-content {
    overflow: hidden;
}

.wk-alert-warning {
    background-color: #fff;
    border: 1px solid #EF6C00;
    color: #EF6C00;
    font-style: italic;
    margin-bottom: 1.25rem;
    padding: .75rem 1rem;
}

.fc-header-title h2 {
    font-size: 20px;
    font-weight: 500;
}

.fc-first th {
    font-weight: 500;
}

.fc-event {
    border: none !important;
    cursor: pointer !important;
    font-size: 12px !important;
    font-family: Segoe UI,Tahoma,Arial,Verdana;
}

.fc-event-title {
    font-weight: bold;
}

.fc-event-inner {
    padding: 3px;
}

.fc-event-hori, .fc-event-skin {
    border: none !important;
}

.ui-widget-header {
    background: #ededed !important;
}

/*.ui-datepicker {z-index: 300 !important;}*/

.ui-tabs {
    padding: 0 !important;
    /*border: 1px solid #009CCC !important;*/
}

    .ui-tabs .ui-widget-header {
        background: #007acc !important;
        font-weight: normal !important;
        border: none;
    }

.ui-tabs-nav li {
    border: none !important;
}

.ui-state-default a {
    color: #fff !important;
}

.ui-state-active a {
    color: #212121 !important;
}

.ui-tabs-nav > li:not(.ui-state-active) a:hover {
    background: #a6d1ea;
    color: #212121 !important;
}

body, .wk-field-item, .wk-button, button, .wk-h1, .wk-h2, .wk-h3, .wk-h4, .wk-h5, .wk-h6, h1, h2, h3, h4, h5, h6, .wk-input {
    font-family: Segoe UI, Tahoma, Arial, Verdana !important;
}

    .wk-field-item .wk-checkbox-field, .wk-field-item .wk-input, .wk-field-item .wk-radio-field, .wk-field-item .wk-select-field, .wk-field-item .wk-textarea, .wk-field-item input:not([type=radio]):not([type=checkbox]), .wk-field-item textarea {
        font-weight: 400;
        font-family: Segoe UI, Tahoma, Arial, Verdana !important;
    }

.wk-input, input:not([type="radio"]):not([type="checkbox"]) {
    padding: 0 5px !important;
}

#jqxToggleButtonsBar .jqx-fill-state-normal-metro {
    cursor: pointer;
}

#jqxToggleButtonsBar .jqx-fill-state-pressed-metro {
    background-color: #009CCC;
    color: #fff;
}

button, .wk-modal .wk-modal-content .wk-modal-header, .wk-button {
    background-color: #009CCC;
}

    /*button:active:not([disabled]) {
    background-color: #007ac3;
}*/

    button:hover:not([disabled]) {
        background-color: #007ac3;
    }

a {
    color: #009CCC;
}

    a:hover {
        color: #007ac3;
        text-decoration: none;
    }

.jqx-listbox {
    z-index: 2147483647 !important;
}

.ui-state-active {
    background: none !important;
    background-color: #007ac3 !important;
    color: #fff;
}

.ui-tabs > ul > li.ui-state-active {
    background-color: #fff !important;
}

.field-validation-error {
    color: #e5202e;
    display: block;
}

/*.ui-datepicker {
    z-index: 9999 !important;
}*/

@media (min-width: 37.5rem) {
    .wk-row div[class^=wk-col]:last-child {
        float: left !important;
    }
}

/*******************************************
   Utilities
********************************************/
.margin-top-0 {
    margin-top: 0px;
}

.margin-bottom-0 {
    margin-bottom: 0px;
}

.margin-top-5 {
    margin-top: 5px !important;
}

.margin-bottom-5 {
    margin-bottom: 5px;
}

.margin-right-5 {
    margin-right: 5px;
}

.margin-right-10 {
    margin-right: 10px;
}

.margin-right-20 {
    margin-right: 20px;
}

.margin-right-70 {
    margin-right: 70px;
}

.margin-top-10 {
    margin-top: 10px;
}

.margin-bottom-10 {
    margin-bottom: 10px;
}

.margin-top-15 {
    margin-top: 15px;
}

.margin-bottom-15 {
    margin-bottom: 15px;
}

.margin-top-20 {
    margin-top: 20px;
}

.margin-top-25 {
  margin-top: 25px;
}

.margin-bottom-20 {
    margin-bottom: 20px;
}

.margin-left-20 {
    margin-left: 20px;
}

.margin-left-40 {
    margin-left: 40px;
}

.margin-left-70 {
    margin-left: 70px;
}

.padding-5 {
    padding: 5px;
}

.padding-bottom-4 {
    padding-bottom: 4px !important;
}

.padding-bottom-5 {
    padding-bottom: 5px !important;
}

.padding-bottom-10 {
    padding-bottom: 10px !important;
}

.padding-top-5 {
    padding-top: 5px;
}

.padding-top-10 {
    padding-top: 10px;
}

.padding-top-15 {
    padding-top: 15px;
}

.padding-top-20 {
    padding-top: 20px;
}

.float-left {
    float: left !important;
}

.float-right {
    float: right !important;
}

.text-align-center {
    text-align: center !important;
}

.text-align-right {
    text-align: right !important;
}

.row-eq-height {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.row-width-separator {
    margin-bottom: 20px;
    border-bottom: 1px solid #009CCC;
}

.no-border {
    border: none !important;
}

.no-list-style {
    list-style-type: none;
}

.wk-button-small {
    font-size: 1.1rem !important;
    padding: .45rem !important;
}

.wk-button-xsmall {
    font-size: 1.0rem !important;
    padding: .40rem !important;
}

table.wk-table-small td {
    padding: .35rem !important;
}

table.wk-table-xsmall td {
    padding: .1rem !important;
}

.width-100 {
    width: 100px;
}

.td-text-overflow {
    max-width: 100px;
    min-width: 100px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

table.no-border td {
    border: none;
}

svg {
    width: 100% !important;
}

a.anchor-button-style {
    text-decoration: inherit;
    color: #fff;
    cursor: auto;
}

    a.anchor-button-style:link {
        text-decoration: inherit;
        color: #fff;
        cursor: auto;
    }

    a.anchor-button-style:visited {
        text-decoration: inherit;
        color: #fff;
        cursor: auto;
    }

.wk-disabled {
    pointer-events: none;
    background-color: #ededed !important;
    cursor: not-allowed;
}

.wk-disabled-width-opacity {
    opacity: 0.7;
    pointer-events: none;
    /*background-color: #ededed !important;*/
    cursor: not-allowed;
}

.to-disable input {
    pointer-events: none;
    background-color: #ededed !important;
}

.right-click-grid-menu span {
    display: inline;
    float: left;
}

input[type="checkbox"]:disabled {
    background: rgb(235, 235, 228);
    /*opacity: 0.8;*/
    cursor: not-allowed;
}

#overlay {
    display: none;
    background-color: #000;
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    -ms-opacity: 0.4;
    opacity: 0.4;
    z-index: 10000;
}

.modal-content {
    display: none;
}

.wk-modal-body {
    overflow: auto;
}

input[type=checkbox], input[type=radio] {
    width: 1.1rem !important;
    height: 1.1rem !important;
    cursor: pointer !important;
}

#toast-container {
    z-index: 2147483635 !important;
}

#colorbox, #cboxOverlay, #cboxWrapper {
    z-index: 2147483631 !important;
}


/*******************************************
    Page Layout
********************************************/
html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
}

#wrapper {
    min-height: 100%;
    position: relative;
    background-color: #ededed;
}

#header {
}

#content {
    padding-bottom: 155px; /* Height of the footer element */
    background: #ededed;
}

#footer {
    /*background:#ffab62;*/
    width: 100%;
    height: 155px;
    position: absolute;
    bottom: 0;
    left: 0;
}

/*#content {
	background: #f6f6f6;
}*/

.custom-container {
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 40px;
    padding-right: 40px;
    background-color: #ededed;
}

.page-heading-breadcrumb {
    height: 50px;
    width: 100%;
    line-height: 50px;
    background-color: #FFF;
    color: #009CCC;
    display: inline-block;
}

.page-heading-breadcrumb-content {
    font-size: .9375rem;
    padding-left: 40px;
    font-weight: 500;
}

.back-to-top {
    cursor: pointer;
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    background-color: #007acc;
    z-index: 100;
}

.btn-group-lg > .btn, .btn-lg {
    -ms-border-radius: 0px;
    border-radius: 0px;
}

/*******************************************
    Cards
********************************************/
.wk-custom-card {
    background: #fff;
    /*border-radius: 2px;*/
    display: inline-block;
    width: 100%;
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
    padding: 10px;
}

    .wk-custom-card.with-border {
        border: 1px solid #c7c7c7;
    }

.wk-custom-card-title {
    color: #009CCC;
    font-size: 1rem;
    font-weight: 700;
    /*text-transform: uppercase;*/
    margin-bottom: 5px;
}

.wk-custom-card-not-authenticated {
    max-width: 98%;
    margin: 0 auto;
    display: inherit;
    margin-top: 20px;
}
/*******************************************
   Login
********************************************/
.wk-login-card {
    max-width: 400px;
    margin: 0 auto;
    display: inherit;
    margin-top: 5%;
}

.wk-custom-login-screen {
    padding: 0px 10px 10px 10px;
}

.profile-img-card {
    width: 96px;
    height: 96px;
    margin: 0 auto 15px;
    display: block;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
}

/*******************************************
   Request Details
********************************************/
.button-request-detail {
    float: left;
}

    .button-request-detail:not(:last-child) {
        margin-right: 1rem;
    }

#history-progress {
    float: right;
    color: #009CCC;
    font-weight: 400;
}

/* class used to show in progress loading icon */
.inprogress {
    width: 24px;
    height: 22px;
    float: right;
    background: url('images/fb-loader.gif') no-repeat center;
}

.done {
    text-align: center !important;
}

/*******************************************
   Script Request
********************************************/
.toolbar-database-script-container {
    padding-top: 27px;
}

.upload-script-res-col {
    overflow: auto;
    height: 400px;
}

.script-group-info {
    background-color: white;
    border: 1px solid #e5202e;
    /*border-radius: 5px;*/
    padding: 5px;
}

.script-content-text-area {
    height: 450px;
}

#selectedGroupContainer.stick {
    margin-top: 0 !important;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1040;
    width: 275px;
}

.script-target-detail {
    height: 105px !important;
}

#targetNewScriptPartial {
    max-height: 500px;
    overflow-y: scroll;
    overflow-x: hidden;
}

#areaDetails {
    max-height: 304px;
    overflow: auto;
}

/*******************************************
   Split Request
********************************************/
.upload-box {
    border: 1px solid #e5e5e5;
    padding: 15px;
    max-height: 315px;
    overflow-y: auto;
}

/*******************************************
   Waves Management
********************************************/
.waves-info-box {
    height: 130px;
    padding: 0;
}

.info-box-title-content {
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
}

.info-box-title-text {
    font-weight: 500 !important;
    display: block;
    font-size: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-transform: uppercase;
}

.info-box-text-content {
    padding: 10px;
    text-align: center;
}

.info-box-text {
    font-weight: 400 !important;
    display: inline;
    font-size: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-transform: uppercase;
}


/*******************************************
   Waves Management
********************************************/
.calendar-event-description {
    display: block;
    font-size: 11px;
}

/*******************************************
   Top Bar
********************************************/
.wk-navbar .wk-navbar-container {
    max-width: none;
    margin-left: 0;
    margin-right: 0;
    background-color: #007ac3;
    position: static;
}

.wk-product-name {
    padding: 0 .9375rem;
    font-weight: 400;
    font-size: 16px;
    font-family: Segoe UI, Tahoma, Arial, Verdana !important;
}

#top-bar {
    /*height: 33px;
    line-height: 33px;
    background-color: #007acc;
    color: #fff;*/
    max-height: 60px;
    line-height: 30px;
    background-color: #007acc;
    color: #fff;
}

    /*#top-bar .app-name-container {
        margin-left: 40px;
    }

    #top-bar .app-name {
        font-size: 16px;
    }

    #top-bar .user-info-container {
        margin-right: 40px;
    }*/

    #top-bar .login-logout-icon {
        color: #fff;
        font-size: 18px;
    }

        #top-bar .login-logout-icon:hover {
            color: #a6d1ea;
        }

.background-top-bar-user {
    background-color: #85bc20;
}
/*******************************************
   Login
********************************************/
p.wk-copyright-text {
    font-family: "Helvetica Neue", Helvetica, "Roboto", Arial, sans-serif;
}

.wk-login-screen .wk-login-layout .wk-copyright-text, .wk-login-screen .wk-login-layout-options .wk-copyright-text, .wk-login-screen .wk-login-layout-support .wk-copyright-text {
    margin: 0;
}

.wk-product-brand {
    font-family: Segoe UI, Tahoma, Arial, Verdana !important;
    font-weight: 600 !important;
}

.wk-copyright-div {
    padding-top: 9px;
    color: #bfbfbf;
}
/*******************************************
   Editions
********************************************/
.editions-ul {
    list-style-type: none;
}

/*******************************************
   Options
********************************************/
div.info, span.info {
    font-style: italic;
    color: #007acc;
}

/*******************************************
   Error 500
********************************************/
.error-500-text {
    font-size: 30px;
    font-weight: bold;
    color: #666;
}

.error-500-message {
    display: block;
    font-size: 18px;
    color: #a3a3a3;
}

/*******************************************
   Toastr
********************************************/
/*.toast {
    opacity: 1 !important;
}

#toast-container > div {
    opacity: 1 !important;
}*/


/*******************************************
   Portal Settings
********************************************/
.users_country-ul {
    list-style-type: none;
}

.users_country-checkbox {
    overflow-y: auto;
}

.wk-layout-item-custom-height {
    height: 600px;
}

.wk-layout-item-custom-height {
    height: 600px;
}

.wk-row-height-250 {
    height: 250px;
}

.wk-row-height-300 {
    height: 300px;
    overflow-y: auto;
}

.wk-row-height-170 {
    height: 170px;
    overflow-y: auto;
}

.wk-row-height-550 {
    height: 550px;
    overflow-y: auto;
}

/*******************************************
   Grid Columns Rendering
********************************************/
.wk-col-rendering-check::before {
    content: url('images/check.png');
    position: absolute;
    margin: auto;
    top: 5px;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
}

.wk-col-rendering-error::before {
    content: url('images/error.png');
    position: absolute;
    margin: auto;
    top: 5px;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
}

/*******************************************
   Server Dashboard
********************************************/
.autocheck-timer {
    float: right;
    line-height: 30px;
}

.server-status-circle {
    border-radius: 50%;
    width: 20px;
    height: 20px;
    margin: 0 auto;
    margin-top: 5px;
}

    .server-status-circle.ok {
        background-color: #85bc20;
    }

    .server-status-circle.ko {
        background-color: #e5202e;
    }

    .server-status-circle.ack {
        background-color: #757575;
    }

.action-icon {
    color: #007ac3;
    cursor: pointer;
}

    .action-icon:hover {
        color: #409bd2;
    }

.alert-cell {
    color: #e5202e;
    font-weight: bold;
}

.ack-cell {
    color: #757575;
    font-weight: bold;
}

button.full-width {
    width: 100%;
}

button.ack {
    background-color: #757575;
}

    button.ack:hover {
        background-color: #474747;
    }

.modal-section-title {
    color: #007ac3;
    font-size: 1rem;
    font-weight: 700;
    margin-bottom: 10px;
}

.server-action-summary {
    font-weight: 600;
}

.onoffswitch {
    position: relative;
    width: 75px;
    margin: 0 auto;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.onoffswitch-checkbox {
    display: none;
}

.onoffswitch-label {
    display: block;
    overflow: hidden;
    cursor: pointer;
}

label.switch-disabled {
    cursor: not-allowed;
}

.onoffswitch-inner {
    display: block;
    width: 200%;
    margin-left: -100%;
    transition: margin 0.3s ease-in 0s;
}

    .onoffswitch-inner:before, .onoffswitch-inner:after {
        display: block;
        float: left;
        width: 50%;
        height: 20px;
        padding: 0;
        line-height: 20px;
        font-size: 14px;
        color: white;
        font-weight: bold;
        box-sizing: border-box;
    }

    .onoffswitch-inner:before {
        content: "ON";
        padding-left: 10px;
        background-color: #009CCC;
        color: #FFFFFF;
    }

    .onoffswitch-inner:after {
        content: "OFF";
        padding-right: 10px;
        background-color: #CCC;
        color: #474747;
        text-align: right;
    }

.onoffswitch-switch {
    display: block;
    width: 18px;
    margin: 6px;
    background: #FFFFFF;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 45px;
    transition: all 0.3s ease-in 0s;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
    margin-left: 0;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
    right: 0px;
}

.help-badge {
    cursor: pointer;
}

.help-close-top {
    position: relative;
    top: -15px;
    font-size: 2rem;
}

.readonly-span-value {
    font-weight: 500;
}

/*******************************************
   Help Page
********************************************/
ol {
    counter-reset: li; /* Initiate a counter */
    list-style: none; /* Remove default numbering */
    *list-style: decimal; /* Keep using default numbering for IE6/7 */
    padding: 0;
    margin-bottom: 2em;
    /*text-shadow: 0 1px 0 rgba(255,255,255,.5);*/
}

    ol ol {
        margin: 0 0 0 2em; /* Add some left margin for inner lists */
    }

.rectangle-list span {
    font-family: "Fira Sans","Helvetica Neue",Helvetica,"Roboto",Arial,sans-serif;
    font-size: 16px;
    line-height: 1.4;
    position: relative;
    display: block;
    padding: .4em .4em .4em .8em;
    *padding: .4em;
    margin: 1em 0 1em 2.5em;
    border: 1px solid #ddd;
    color: #444;
    text-decoration: none;
    transition: all .3s ease-out;
}

    .rectangle-list span:hover {
        background: #eee;
    }

    .rectangle-list span:before {
        /*content: counter(li);
    counter-increment: li;*/
        /*content: '\e840';*/
        position: absolute;
        left: -2.5em;
        top: 50%;
        margin-top: -1em;
        background: #007ac3;
        height: 2em;
        width: 2em;
        line-height: 2em;
        text-align: center;
        color: #fff;
        font-weight: bold;
    }

    .rectangle-list span:after {
        position: absolute;
        content: '';
        border: .5em solid transparent;
        left: -1em;
        top: 50%;
        margin-top: -.5em;
        transition: all .3s ease-out;
    }

    .rectangle-list span:hover:after {
        left: -.5em;
        border-left-color: #007ac3;
    }

    .rectangle-list span.help-warn:before {
        background: #ea8f00;
    }

    .rectangle-list span.help-warn:hover:after {
        left: -.5em;
        border-left-color: #ea8f00;
    }

    .rectangle-list span.help-alert:before {
        background: #e5202e;
    }

    .rectangle-list span.help-alert:hover:after {
        left: -.5em;
        border-left-color: #e5202e;
    }

/*******************************************
   Countries Dropdown List
********************************************/
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #474747;
    min-width: 151px;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    top: 31px;
    right: 0px;
    z-index: 9999;
}

    .dropdown-content li {
        color: #fff;
        padding: 5px 10px;
        text-decoration: none;
        display: block;
        cursor: pointer;
        font-size: 14px;
    }

        .dropdown-content li:hover {
            background-color: #a3a3a3;
        }

.show {
    display: block;
}

.flag-dropdown {
    margin-right: 10px;
}

/*******************************************
   Support Accounts
********************************************/
.associations-card{
    max-height:159px;
    overflow:auto;
}


option,.white-space-pre{
    white-space:pre;
}

#linkWindow {
    z-index: 2147483640!important;
}